Opened 3 years ago

Closed 3 years ago

#11481 closed defect (fixed)

colord needs polkit (polkit-gobject)

Reported by: thomas Owned by: blfs-book
Priority: normal Milestone: 8.4
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description (last modified by thomas)

Looks like polkit is a hard requirement now:

...
native dependency gudev-1.0 found: YES 232
Library m found: YES
Native dependency libudev found: YES 220
Native dependency udev found: YES 220
Has header "pwd.h": YES
Has header "syslog.h": YES
Has header "unistd.h": YES
Checking for function "getuid" : YES
Program vapigen found: YES (/usr/bin/vapigen)

meson.build:189:0: ERROR:  Native dependency 'polkit-gobject-1' not found

A full log can be found at /home/lfs/tmp/colord/build/colord-1.4.3/build/meson-logs/meson-log.txt
...

Change History (3)

comment:1 by thomas, 3 years ago

Description: modified (diff)
Summary: colord needs polkit-gobjectcolord needs polkit (polkit-gobject)

comment:2 by Douglas R. Reno, 3 years ago

Type: enhancementdefect

Change over to defect

comment:3 by Douglas R. Reno, 3 years ago

Resolution: fixed
Status: newclosed

Fixed at r20914

Note: See TracTickets for help on using tickets.